<?php

namespace Lc\SovBundle\Doctrine\Extension;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\Model\File\FileModel;
use Lc\SovBundle\Model\File\FileInterface;

trait OpenGraphTrait
{
    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $openGraphTitle;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $openGraphDescription;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\SovBundle\Model\File\FileInterface", cascade={"persist", "remove"})
     */
    protected $openGraphImage;

    public function getOpenGraphTitle(): ?string
    {
        return $this->openGraphTitle;
    }

    public function setOpenGraphTitle(string $openGraphTitle): self
    {
        $this->openGraphTitle = $openGraphTitle;

        return $this;
    }

    public function getOpenGraphDescription(): ?string
    {
        return $this->openGraphDescription;
    }

    public function setOpenGraphDescription(?string $openGraphDescription): self
    {
        $this->openGraphDescription = $openGraphDescription;

        return $this;
    }


    public function getOpenGraphImage(): ?FileInterface
    {
        return $this->openGraphImage;
    }

    public function setOpenGraphImage(?FileInterface $openGraphImage): self
    {
        $this->openGraphImage = $openGraphImage;

        return $this;
    }


}
